<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class FormaPagamentoBoletoViewModel extends Entity {
	protected $numero;
	protected $data_venc;
	protected $valor;

	public static function builder(): FormaPagamentoBoletoViewModelBuilder {

		return (new FormaPagamentoBoletoViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNumero() {

		return $this->numero;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataVenc() {

		return $this->data_venc;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {
		
		return $this->valor;
		
	}
	
	/**
	 *
	 * @param mixed $numero
	 */
	public function setNumero($numero) {

		$this->numero = $numero;

	}

	/**
	 *
	 * @param mixed $data_venc
	 */
	public function setDataVenc($data_venc) {

		$this->data_venc = $data_venc;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {
		
		$this->valor = $valor;
		
	}
	
}

